MONGOC_SOCKET_LISTEN(3)

NAME
mongoc_socket_listen() - This function is similar to the BSD sockets listen() function. It is meant for socket servers.

SYNOPSIS

int
mongoc_socket_listen (mongoc_socket_t *sock,
                      unsigned int     backlog);

PARAMETERS

sock
    A mongoc_socket_t \&.

backlog
    An int containing max backlog size.

DESCRIPTION

This function is similar to the BSD sockets listen(3) function. It is meant for socket servers.

RETURNS

0 on success, -1 on failure and errno is set.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.